@use '../utils/_mixins/media' as *
@use '../utils/_mixins/vars' as *
@use '../utils/theme' as *

.header
  +themed()
    color: t(text)
    background-color: t(bg)
.header-desktop
  &-wrap
    display: flex
    justify-content: space-between
    align-items: center
    padding: px2em(18) 0
.site-logo
    display: flex
    align-items: center
    &__img
      width: px2em(54px)
      margin-right: px2em(18px)
    &__title
      font-family: light, sans-serif
      font-size: px2em(15px)
      text-transform: uppercase
      line-height: 1.4

.actions-list
  display: flex
  align-items: center
  li
    margin-right: px2em(25px)
    color: $text-grey
    transition: color .3s
    &:hover
      color: $accent
      svg
        fill: $accent
  a
    display: flex
    align-items: center
  .icon
    width: px2em(35px)
    height: px2em(35px)
    fill: $text-grey
  span
    display: block
    font-size: px2em(14)
    line-height: 1
    margin-left: px2em(10)


/////////////////////  Верхний баннер
.top-info-banner
  padding: 1.5em 3em
  position: relative
  +themed()
    background-color: t(bg-accent)
    color: white
  text-align: center
  &__text
    font-family: medium, sans-serif
    color: inherit
    transition: color .3s
    a
      color: inherit
      &:hover
        color: $primary
  &-action
    width: px2em(25)
    height: px2em(25)
    position: absolute
    top: 50%
    right: 0
    transform: translateY(-50%)
    margin-right: 3%
.close--button
  position: absolute
  cursor: pointer
  width: 100%
  height: 100%
  overflow: hidden
  &:hover
    &:before, &:after
      background-color: $primary
  &:before, &:after
    content: ""
    position: absolute
    height: 2px
    width: 100%
    top: 50%
    left: 0
    margin-top: -1px
    background-color: white
    transition: background-color .2s
  &:before
    transform: rotate(45deg)
  &:after
    transform: rotate(-45deg)
+tablet()
  .top-info-banner
    font-size: 14px
+phone()
  .top-info-banner
    padding: px2em(15)
    text-align: left
    font-size: 13px
//////////// Навигация с дропдауном

.header-desktop-nav
  position: relative
  border-top: 1px solid $border
  border-bottom: 1px solid $border
.header-desktop-nav .nav-module
  &-list
    display: flex
    position: relative
    padding: px2em(24) 0
  &__item
    position: relative
    margin-right: px2em(30)
    font-family: medium, sans-serif
    &:last-child
      margin-right: 0
    &:hover
      .nav-module__link
        color: $accent
      .nav-module-dropdown
        top: 3.3em
        opacity: 1
        transform: translateX(0)
        &:before
          content: ''
          position: absolute
          left: 0
          top: -30px
          width: 100%
          height: 60px
          background-color: transparent
      .nav-module-dropdown_center
        left: 50%
        right: auto
        transform: translateX(-50%)
      .nav-module-dropdown_left
        left: auto
        right: 0
  &__link
    font-size: px2em(15)
    transition: color .3s


/// Адаптивное меню
.nav-module__item_adaptive
  position: relative
  display: none
  align-items: center
  &:hover,
  &:focus
    .nav-module__item_adaptive-list
      display: flex
  &-list
    position: absolute
    display: none
    flex-direction: column
    top: px2em(49)
    right: 0
    z-index: 99
    padding: px2em(30)
    box-shadow: 0 0 20px rgb(0 0 0 / 15%)
    border-radius: 5px
    +themed()
      color: t(text)
      background-color: t(bg)
  &__item
    display: none
    width: px2em(190)
    margin-bottom: px2em(20)
    font-size: px2em(15)
    font-family: medium, sans-serif
    &:last-child
      margin-bottom: 0

+extra()
  .nav-module__item_adaptive
    display: none
  .header-desktop-nav .show-extra
    display: block
  .header-desktop-nav .hidden-extra
    display: none
+wide()
  .header-desktop-nav .show-wide
    display: block
  .header-desktop-nav .hidden-wide
    display: none
+desktop()
  .header-desktop-nav .show-desktop
    display: block
  .header-desktop-nav .hidden-desktop
    display: none

.header-desktop-nav .nav-module
  &-dropdown
    position: absolute
    +themed()
      color: t(text)
      background-color: t(bg)
    box-shadow: 0 0 20px rgb(0 0 0 / 15%)
    top: 100%
    z-index: 999
    padding: px2em(55)  px2em(40) px2em(25) px2em(40)
    border-radius: 5px
    opacity: 0
    transform: translateX(-9999px)
    transition: opacity .5s
  &-dropdown-links
    display: flex
    flex-direction: column
    flex-wrap: wrap
    align-items: flex-start
    float: left
  &-dropdown__link
    margin-bottom: px2em(30)
    width: 250px
    font-family: regular, sans-serif
    font-size: px2em(15)
    &:nth-child(n+7)
      margin-left: px2em(40)
    &:hover
      color: $accent


.vvi
  display: none
  &_visible
    display: block

+desktop()
  .header-desktop
    display: none

///Мобильное меню

.header-mobile
  &-top, &-content
    padding: 0 px2em(30)
    +phone()
      padding: 0 px2em(15)
.header-mobile
  display: none
  &-top
    display: flex
    justify-content: space-between
    align-items: center
    height: 17vh
    +tablet()
      height: 13vh
    +phone()
      height: 18vh
    +themed()
      background-color: t(bg)
      color: t(text)
  &__open .icon
    width: px2em(30)
    height: px2em(30)
  .close--button
    display: none
    position: relative
    width: px2em(30)
    height: px2em(30)
  +themed()
    .header-mobile__open .icon
      fill: t(text)
    .close--button
      &:before, &:after
        background-color: t(text)

///Мобильное меню контент
.header-mobile
  +desktop()
    display: block
  +phone()
    .site-logo__img
      display: none
  &-content
    display: none
    position: fixed
    top: 17vh
    bottom: 0
    right: 0
    left: 0
    overflow-y: scroll
    z-index: 999
    +tablet()
      top: 13vh
    +phone()
      top: 18vh
    +themed()
      background-color: t(bg)
      color: t(text)
  &-item
    padding: px2em(10) 0
    border-bottom: 1px solid $border-light
    &:last-child
      border: none
    &-summary
      display: flex
      align-items: center
      justify-content: space-between
      a
        font-size: px2em(17)
        color: inherit
      span
        display: block
        width: px2em(25)
        height: px2em(18)
        .icon
          width: 100%
          height: 100%
          fill: none
          stroke: $text-grey
          stroke-width: 2px
    &-details
      display: none
      flex-direction: column
      padding-top: px2em(25)
      margin-left: px2em(20)
    &__link
      font-size: px2em(15)
      margin-bottom: px2em(30)
      &:hover
        color: $accent
        background: none
    &_active
     .header-mobile-item-details
        display: flex
     .header-mobile-item-summary span
        transform-origin: center
        transform: rotate(180deg)
        & .icon
          stroke: $accent
  &-footer
    margin: px2em(20) 0
    .actions-list
      li span
        display: none

.header-mobile
  &_active
    & .header-mobile-top
      position: fixed
      top: 0
      left: 0
      right: 0
      z-index: 999
    .header-mobile__open
      display: none
    .close--button
      display: block
    .header-mobile-content
      display: block
